| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
SelectionGrp Class Reference
uiIo

`#include <uidpscrossplottools.h>`

Inheritance diagram for SelectionGrp:
[legend]

## Public Member Functions
| SelectionGrp (const char *nm, const OD::Color &col)
| SelectionGrp (const char *nm=nullptr)
| ~SelectionGrp ()
void | addSelection (const SelectionArea &)
void | fillPar (IOPar &) const
void | getInfo (BufferString &) const
SelectionArea & | getSelectionArea (int idx)
const SelectionArea & | getSelectionArea (int idx) const
bool | getSelectionArea (SelectionArea &, int id) const
SelectionArea::SelAxisType | getSelectionAxis (int selareaid) const
bool | hasAltAxis () const
int | isInside (const uiPoint &) const
bool | isValidIdx (int idx) const
void | removeAll ()
void | removeSelection (int)
void | setSelectionArea (const SelectionArea &)
int | size () const
void | usePar (const IOPar &)
int | validIdx (int selareaid) const
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Public Attributes
OD::Color | col_

## Protected Attributes
TypeSet< SelectionArea > | selareas_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ SelectionGrp() [1/2]

SelectionGrp::SelectionGrp | ( | const char * | nm,
|  | const OD::Color & | col )

## ◆ SelectionGrp() [2/2]

SelectionGrp::SelectionGrp | ( | const char * | nm = nullptr | ) |

## ◆ ~SelectionGrp()

SelectionGrp::~SelectionGrp | ( |  | ) |

## Member Function Documentation

## ◆ addSelection()

void SelectionGrp::addSelection | ( | const SelectionArea & |  | ) |

## ◆ fillPar()

void SelectionGrp::fillPar | ( | IOPar & |  | ) | const

## ◆ getInfo()

void SelectionGrp::getInfo | ( | BufferString & |  | ) | const

## ◆ getSelectionArea() [1/3]

SelectionArea & SelectionGrp::getSelectionArea | ( | int | idx | ) |

## ◆ getSelectionArea() [2/3]

const SelectionArea & SelectionGrp::getSelectionArea | ( | int | idx | ) | const

## ◆ getSelectionArea() [3/3]

bool SelectionGrp::getSelectionArea | ( | SelectionArea & | ,
|  | int | id ) const

## ◆ getSelectionAxis()

SelectionArea::SelAxisType SelectionGrp::getSelectionAxis | ( | int | selareaid | ) | const

## ◆ hasAltAxis()

bool SelectionGrp::hasAltAxis | ( |  | ) | const

## ◆ isInside()

int SelectionGrp::isInside | ( | const uiPoint & |  | ) | const

## ◆ isValidIdx()

bool SelectionGrp::isValidIdx | ( | int | idx | ) | const

## ◆ removeAll()

void SelectionGrp::removeAll | ( |  | ) |

## ◆ removeSelection()

void SelectionGrp::removeSelection | ( | int |  | ) |

## ◆ setSelectionArea()

void SelectionGrp::setSelectionArea | ( | const SelectionArea & |  | ) |

## ◆ size()

int SelectionGrp::size | ( |  | ) | const

## ◆ usePar()

void SelectionGrp::usePar | ( | const IOPar & |  | ) |

## ◆ validIdx()

int SelectionGrp::validIdx | ( | int | selareaid | ) | const

## Member Data Documentation

## ◆ col_

OD::Color SelectionGrp::col_

## ◆ selareas_

TypeSet<SelectionArea> SelectionGrp::selareas_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025